﻿//
// ConsoleCSharp
//
// Copyright (c) 2016 http://www.curict.com
// This software is released under the MIT License, see LICENSE.txt.
//

using System;
using System.Data;

namespace ConsoleCSharp
{
    class Program
    {
        static void Main(string[] args)
        {
            // データテーブルに列を追加
            DataTable dataTable = new DataTable();
            dataTable.Columns.Add("col_String", typeof(System.String));

            // -------------------------------------------------------
            // NULLを設定
            // -------------------------------------------------------
            DataRow row = dataTable.NewRow();
            // ※これは悪い例です。正しくはDBNull.Valueをセットします。
            row["col_String"] = null;
            // 正しいコード
            // row["col_String"] = DBNull.Value;

            // -------------------------------------------------------
            // NULLの判定
            // -------------------------------------------------------

            if (row.IsNull("col_String"))
            {
                // 表示される
                Console.WriteLine("IsNULLです。");
            }

            if (row["col_String"] == DBNull.Value)
            {
                // 表示される
                Console.WriteLine("DBNull.Valueです。");
            }

            if (row["col_String"] == null)
            {
                // 表示されない
                Console.WriteLine("nullです。");
            }

            Console.ReadLine();
        }
    }
}
